Project

General

Profile

環境対応 #1084

gtk2 3.2.1を使用する

Added by ふぇのまー 葱野 almost 2 years ago. Updated over 1 year ago.

Status:
終了
Priority:
通常
Assignee:
-
Target version:
Start date:
2017-11-20
Due date:
% Done:

0%

プラグイン名:

Description

ruby-gnome2 3.2.1がリリースされたので、これを利用するよう変更する。

NEWS
https://github.com/ruby-gnome2/ruby-gnome2/blob/3.2.1/NEWS


Related issues

Related to 環境対応 #1211: 「設定」のスキンを選択すると Ruby が core を吐いて落ちる終了

Actions
Is duplicate of 環境対応 #1204: gtk2 3.2.4を利用する終了2018-04-09

Actions

Associated revisions

Revision caebd99e (diff)
Added by ふぇのまー 葱野 almost 2 years ago

ruby-gtk2 3.2.0を利用するよう変更。 refs #1084

History

#1

Updated by ふぇのまー 葱野 almost 2 years ago

  • Subject changed from https://github.com/ruby-gnome2/ruby-gnome2/blob/3.2.1/NEWS to gtk2 3.2.1を使用する
#2

Updated by Izumi Tsutsui almost 2 years ago

チケットのステータスがアレですが、
こちらの NetBSD オレオレ環境では 3.2.1 で目に見える問題は出ていません。

#3

Updated by Akira Ouchi almost 2 years ago

developブランチ環境(281e2436dff11ad3950bda06f7fde6dcc39e1db3)でアレですが、以下のdeprecatedを確認しました。

warning: /Users/akkie/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/glib2-3.2.1/lib/glib2/deprecatable.rb:123:in `const_missing': {MIKUTTER_DIR}/core/mui/cairo_miracle_painter.rb:300:in `main_message': 'Pango::WRAP_CHAR' has been deprecated. Use 'Pango::WrapMode::CHAR' or ':char'.
warning: /Users/akkie/.rbenv/versions/2.3.1/lib/ruby/gems/2.3.0/gems/glib2-3.2.1/lib/glib2/deprecatable.rb:123:in `const_missing': {MIKUTTER_DIR}/core/mui/cairo_miracle_painter.rb:339:in `header_right': 'Pango::ALIGN_RIGHT' has been deprecated. Use 'Pango::Alignment::RIGHT' or ':right'.
#4

Updated by toshi_a 初音 over 1 year ago

#5

Updated by toshi_a 初音 over 1 year ago

  • Status changed from 新規 to 終了

特に不具合報告なかったのでmergeしました。

#6

Updated by toshi_a 初音 over 1 year ago

  • Related to 環境対応 #1211: 「設定」のスキンを選択すると Ruby が core を吐いて落ちる added

Also available in: Atom PDF